/* hello driver program for 8051
   Copyright 2004 Patrick Schaumont 
   $Id: driver.c,v 1.1 2004/09/16 18:20:21 schaum Exp $
*/


#include <8051.h>

enum {ins_idle, ins_hello};

void sayhello(char d) {
  P1 = d;
  P0 = ins_hello;
  P0 = ins_idle;
}

void terminate() {
  // special command to stop simulator
  P3 = 0x55;
}

void main() {
  sayhello(3);
  sayhello(2);
  sayhello(1);
  terminate();
}
