//--------------------------------------------------------------
// Copyright (C) 2003 Patrick Schaumont (schaum@ee.ucla.edu)                   
// University of California at Los Angeles
//                                                                             
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation; either version 2 of
// the License, or (at your option) any later version.
//                                                                             
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//                                                                             
// You should have received a copy of the GNU Lesser General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA
//
// $Id: armcp_itf.h,v 1.1 2004/07/21 23:19:37 schaum Exp $
//--------------------------------------------------------------

#ifndef ARMCP_ITF_H
#define ARMCP_ITF_H

#include "ipblock.h"

namespace simulator {
  class arm_simulator;
}

//-- coprocessor interface

class armzillacp : public aipblock {
  int  deviceid;
  bool interfacewritten;
  simulator::arm_simulator *hook; // simit-arm-1.1
 public:
  int  requestcounter;
  armzillacp(char *name);
  void setparm(char *_name);
  void run();
  bool checkterminal(int n, char *tname, aipblock::iodir d);
  bool cannotSleepTest();
  bool needsWakeupTest();
  void touch();
};

#endif
