/* A Bison parser, made from fdl.y
   by GNU bison 1.35.  */

#define YYBISON 1  /* Identify Bison output.  */

#define yyparse fdlparse
#define yylex fdllex
#define yyerror fdlerror
#define yylval fdllval
#define yychar fdlchar
#define yydebug fdldebug
#define yynerrs fdlnerrs
# define	POSINT	257
# define	ID	258
# define	ERRTOK	259
# define	QSTRING	260
# define	BRACE_OPEN	261
# define	BRACE_CLOSE	262
# define	COMMA	263
# define	RBRACKET_OPEN	264
# define	RBRACKET_CLOSE	265
# define	BRACKET_OPEN	266
# define	BRACKET_CLOSE	267
# define	SEMICOLON	268
# define	COLON	269
# define	DP	270
# define	TC	271
# define	NS	272
# define	IN	273
# define	OUT	274
# define	SIG	275
# define	REG	276
# define	SFG	277
# define	ASSIGN	278
# define	QMARK	279
# define	AT	280
# define	IOR	281
# define	XOR	282
# define	AND	283
# define	SHL	284
# define	SHR	285
# define	ADD	286
# define	HASH	287
# define	SUB	288
# define	MUL	289
# define	MOD	290
# define	NOT	291
# define	HARDWIRED	292
# define	SEQUENCER	293
# define	DOT	294
# define	SYSTEM	295
# define	STIMULUS	296
# define	DISPLAY	297
# define	FINISH	298
# define	HEXDISPLAY	299
# define	DECDISPLAY	300
# define	BINDISPLAY	301
# define	EQ	302
# define	NE	303
# define	GRT	304
# define	GRTEQ	305
# define	SMT	306
# define	SMTEQ	307
# define	SFGNAME	308
# define	CYCLENUM	309
# define	CVAR	310
# define	TRACE	311
# define	OPTION	312
# define	DPNAME	313
# define	TARGET	314
# define	STATE	315
# define	INITIALSTATE	316
# define	IF	317
# define	THEN	318
# define	ELSE	319
# define	FSM	320
# define	LOOKUP	321
# define	IPBLOCK	322
# define	IPTYPE	323
# define	IPPARM	324
# define	USE	325

#line 27 "fdl.y"

#define YYDEBUG 1
#define YYMAXDEPTH 65536
#define YYINITDEPTH 4096

/* ----- yacc to lex interface & common error variables -- */

#ifndef _MSC_VER
using namespace std;
#endif

#include "fdlparse.h"

  long fdl_warningcount;
  int  fdl_pending_warning;
  long fdl_lineno;
  char fdl_error_message[255];

fdl_error fdl_error_id;

#include <iostream>

#ifdef _MSC_VER
// disable 'identifier too long for debugger' in msc
// disable 'switch with default but no case' in msc
#pragma warning ( disable : 4786 4065)
#endif

#ifdef _MSC_VER
using std::cout;
using std::cout;
#endif

/* first steps towards IOCCC ... */

#define __EXTERN_C__  // make yacc call yylex with C conventions

#include <stdio.h>

extern void complete_line();
void fdlerror(const char *) {
  long errline = fdl_lineno;

  while ((fdl_instream_valid())&&(errline == fdl_lineno))  { // scan to end of line 
    fdllex();
  }
  fdl_lineno = errline;

  if ((fdl_error_id == UNKNOWN)) {
    sprintf(fdl_error_message, "(line %d) Syntax Error\n", (int) fdl_lineno);
  }
}


/* ------ Symbol table management --------- */

#include "fdlsym.h"
#include "module.h"

int    fdl_storage_type;  // most recent storage token
int    fdl_io_dir;        // most recent io direction token
symid  fdl_topsymbol;     // symid @ start of current list
symid  fdl_datapath;      // current datapath
symid  fdl_inc_datapath;  // current datapath being included (hierarchy)
symid  fdl_sfg;           // current sfg
symid  fdl_controller;    // current controller
symid  fdl_control_step;  // current control step
int    fdl_control_step_count;  // current control step counter
char   fdl_control_name[MAXSYMLEN]; // current controller name

symid  fdl_system;        // current system
int    fdl_pinno;         // argument position counter for sys interconnect
symid  fdl_net;           // current system net
symid  fdl_display;       // current display directive
symid  fdl_trace_sig_id;  // current signal argument of TRACE

symid  fdl_base;

int    fdl_posint;        // last scanned integer
int    fdl_index1;        // last scanned index1
int    fdl_index2;        // last scanned index2

symid  fdl_from_state;            // current 'from' state for fsm controller
bool   fdl_expect_only_registers; // logic flag to contrain check on expression variables
bool   fdl_iodeclares_ipblock;    // logic flag to indicate port list is for ipblock
vector<symid> fdl_condition;      // condition scope stack (for nested if .. then)

#define MAX_FDL_STRING 1024
char   fdl_current_string[MAX_FDL_STRING];  // current string value

symid add_ternary_operation(symid left,
                            symid middle, 
                            symid right, 
                            symbol::_symtype T) {
  symbol *s = new symbol(new ternaryopsym(left, middle, right),
                         T,
                         fdl_sfg);
  glbSymboltable.append(s);
  return s->id();
}

symid add_binary_operation(symid left, 
                           symid right, 
                           symbol::_symtype T) {
  symbol *s = new symbol(new binaryopsym(left, right),
                         T,
                         fdl_sfg);
  glbSymboltable.append(s);
  return s->id();
}

symid add_unary_operation(symid left, 
                          symbol::_symtype T) {
  symbol *s = new symbol(new unaryopsym(left),
                         T,
                         fdl_sfg);
  glbSymboltable.append(s);
  return s->id();
}

symid add_control_step(symid c /* condition symbol */, int &refcnt, symid ctl) {
  symid r;
  symbol *ctlstep = new symbol(new ctlstepsym(refcnt, c), symbol::ctlstep, ctl);
  glbSymboltable.append(ctlstep);
  r = ctlstep->id();
  ++refcnt;
  return r;
}


#line 158 "fdl.y"
#ifndef YYSTYPE
typedef union {
  char *   posint;       /* unsigned integer, hex or decimal */
  int      cmd;          /* command value */
  char *   str;          /* string buf */
  long     shash;        /* symbol hash value - parser internal */
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
#ifndef YYDEBUG
# define YYDEBUG 0
#endif



#define	YYFINAL		398
#define	YYFLAG		-32768
#define	YYNTBASE	72

/* YYTRANSLATE(YYLEX) -- Bison token number corresponding to YYLEX. */
#define YYTRANSLATE(x) ((unsigned)(x) <= 325 ? yytranslate[x] : 207)

/* YYTRANSLATE[YYLEX] -- Bison token number corresponding to YYLEX. */
static const char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     3,     4,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71
};

#if YYDEBUG
static const short yyprhs[] =
{
       0,     0,     2,     5,     7,     9,    11,    13,    15,    17,
      19,    22,    24,    30,    32,    34,    37,    39,    41,    47,
      50,    52,    54,    58,    60,    65,    67,    75,    77,    79,
      81,    83,    85,    89,    91,    92,   100,   102,   105,   108,
     109,   117,   118,   121,   122,   126,   129,   132,   134,   138,
     140,   144,   146,   147,   155,   157,   160,   162,   164,   168,
     172,   174,   178,   180,   182,   183,   188,   190,   191,   194,
     195,   196,   197,   207,   211,   216,   221,   223,   225,   229,
     231,   235,   237,   244,   249,   251,   253,   254,   255,   260,
     262,   265,   267,   269,   270,   275,   276,   281,   288,   293,
     294,   295,   300,   302,   304,   306,   309,   311,   313,   315,
     317,   318,   325,   326,   335,   343,   345,   347,   349,   353,
     355,   359,   361,   365,   367,   370,   372,   376,   377,   383,
     385,   389,   391,   393,   395,   397,   399,   403,   405,   407,
     411,   413,   414,   421,   425,   427,   428,   429,   435,   437,
     439,   440,   446,   448,   450,   454,   456,   458,   460,   462,
     464,   466,   468,   470,   477,   479,   481,   485,   487,   490,
     492,   495,   498,   500,   504,   506,   510,   512,   514,   520,
     522,   526,   528,   532,   534,   538,   540,   544,   548,   552,
     556,   560,   564,   566,   570,   574,   576,   580,   584,   588,
     590,   594,   598,   600,   605,   607,   610,   613,   615,   616,
     622,   623,   629,   631,   635,   637,   639,   643,   648,   651,
     653,   655,   657,   658,   664,   666
};
static const short yyrhs[] =
{
      73,     0,    72,    73,     0,   139,     0,    92,     0,    96,
       0,   106,     0,   128,     0,    76,     0,    74,     0,    58,
      75,     0,   202,     0,    41,    77,     7,    78,     8,     0,
       4,     0,    79,     0,    78,    79,     0,    80,     0,    85,
       0,    81,    10,    82,    11,    14,     0,    81,    14,     0,
       4,     0,    83,     0,    82,     9,    83,     0,    84,     0,
      84,    12,   200,    13,     0,     4,     0,    42,    10,    86,
       9,    87,    11,    14,     0,     4,     0,   202,     0,     4,
       0,     4,     0,    57,     0,    10,    88,    11,     0,     4,
       0,     0,    38,    91,    90,    93,     7,    94,     8,     0,
      95,     0,    94,    95,     0,    89,    14,     0,     0,    39,
      91,    90,    97,     7,    98,     8,     0,     0,    99,   101,
       0,     0,    98,   100,   101,     0,   102,    14,     0,   103,
      14,     0,    89,     0,    10,   104,    11,     0,   105,     0,
     104,     9,   105,     0,    89,     0,     0,    66,    91,    90,
     107,     7,   108,     8,     0,   109,     0,   108,   109,     0,
     110,     0,   113,     0,    61,   111,    14,     0,    62,   112,
      14,     0,   110,     0,   111,     9,   110,     0,     4,     0,
       4,     0,     0,    26,   115,   114,   116,     0,     4,     0,
       0,   117,   122,     0,     0,     0,     0,    63,   118,   121,
     119,    64,   116,    65,   120,   116,     0,    10,   187,    11,
       0,   124,    60,   123,    14,     0,   125,    60,   123,    14,
       0,     4,     0,    89,     0,    10,   126,    11,     0,   127,
       0,   126,     9,   127,     0,    89,     0,    68,   129,   131,
       7,   133,     8,     0,    68,   129,    15,   130,     0,     4,
       0,     4,     0,     0,     0,    10,   132,   157,    11,     0,
     134,     0,   134,   133,     0,   135,     0,   137,     0,     0,
      69,   202,   136,    14,     0,     0,    70,   202,   138,    14,
       0,    16,   142,   140,     7,   144,     8,     0,    16,   142,
      15,   143,     0,     0,     0,    10,   141,   157,    11,     0,
       4,     0,     4,     0,   145,     0,   144,   145,     0,   146,
       0,   167,     0,   178,     0,   149,     0,     0,   203,   147,
     165,    15,   204,    14,     0,     0,    67,   148,   152,    15,
     204,    24,   154,    14,     0,    57,    10,   151,     9,   150,
      11,    14,     0,   202,     0,   187,     0,   153,     0,   152,
       9,   153,     0,     4,     0,     7,   155,     8,     0,   156,
       0,   155,     9,   156,     0,     3,     0,    34,     3,     0,
     158,     0,   157,    14,   158,     0,     0,   162,   159,   160,
      15,   204,     0,   161,     0,   160,     9,   161,     0,     4,
       0,    19,     0,    20,     0,     4,     0,   164,     0,   163,
       9,   164,     0,     4,     0,   166,     0,   165,     9,   166,
       0,     4,     0,     0,    23,     4,   168,     7,   169,     8,
       0,   170,    14,   182,     0,   182,     0,     0,     0,   203,
     171,   163,    15,   204,     0,   173,     0,   175,     0,     0,
      43,   174,    10,   176,    11,     0,    44,     0,   177,     0,
     176,     9,   177,     0,   202,     0,   187,     0,    59,     0,
      54,     0,    55,     0,    45,     0,    47,     0,    46,     0,
      71,   179,    10,   180,    11,    14,     0,     4,     0,   181,
       0,   180,     9,   181,     0,   201,     0,   182,   183,     0,
     183,     0,   172,    14,     0,   184,    14,     0,   185,     0,
     184,     9,   185,     0,   187,     0,   196,   186,   185,     0,
      24,     0,   188,     0,   188,    25,   184,    15,   187,     0,
     189,     0,   188,    27,   189,     0,   190,     0,   189,    28,
     190,     0,   191,     0,   190,    29,   191,     0,   192,     0,
     191,    48,   192,     0,   191,    49,   192,     0,   191,    52,
     192,     0,   191,    50,   192,     0,   191,    53,   192,     0,
     191,    51,   192,     0,   193,     0,   192,    30,   193,     0,
     192,    31,   193,     0,   194,     0,   193,    32,   194,     0,
     193,    34,   194,     0,   193,    33,   194,     0,   195,     0,
     194,    35,   195,     0,   194,    36,   195,     0,   196,     0,
      10,   204,    11,   195,     0,   197,     0,    34,   195,     0,
      37,   195,     0,   201,     0,     0,   197,   198,    12,   200,
      13,     0,     0,   197,   199,    10,   187,    11,     0,     3,
       0,   200,    15,     3,     0,     4,     0,     3,     0,    10,
     184,    11,     0,    56,    10,     4,    11,     0,   202,     6,
       0,     6,     0,    21,     0,    22,     0,     0,   206,    10,
       3,   205,    11,     0,    17,     0,    18,     0
};

#endif

#if YYDEBUG
/* YYRLINE[YYN] -- source line where rule number YYN was defined. */
static const short yyrline[] =
{
       0,   261,   262,   265,   266,   267,   268,   269,   270,   271,
     276,   279,   291,   294,   311,   312,   315,   316,   319,   320,
     323,   340,   341,   344,   352,   367,   381,   385,   397,   417,
     431,   445,   453,   456,   476,   476,   493,   494,   497,   503,
     503,   519,   519,   522,   522,   527,   528,   531,   534,   537,
     538,   541,   545,   545,   570,   571,   574,   575,   578,   579,
     582,   583,   586,   600,   614,   614,   617,   630,   630,   636,
     636,   636,   636,   663,   668,   669,   672,   689,   692,   695,
     696,   699,   703,   704,   707,   725,   738,   739,   739,   742,
     743,   746,   747,   750,   750,   758,   758,   786,   787,   790,
     791,   791,   794,   812,   829,   830,   833,   834,   835,   836,
     839,   839,   843,   843,   848,   853,   864,   878,   879,   882,
     897,   900,   901,   904,   908,   919,   920,   923,   923,   927,
     927,   931,   962,   963,   964,   974,   975,   978,   996,   997,
    1000,  1021,  1021,  1038,  1039,  1040,  1043,  1043,  1052,  1053,
    1056,  1056,  1062,  1067,  1068,  1071,  1083,  1090,  1101,  1108,
    1114,  1118,  1122,  1132,  1135,  1173,  1174,  1177,  1197,  1198,
    1201,  1202,  1205,  1206,  1209,  1210,  1229,  1233,  1234,  1239,
    1240,  1245,  1246,  1251,  1252,  1257,  1258,  1261,  1264,  1267,
    1270,  1273,  1278,  1279,  1282,  1287,  1288,  1291,  1294,  1299,
    1300,  1303,  1308,  1309,  1314,  1315,  1316,  1319,  1320,  1320,
    1326,  1326,  1333,  1337,  1342,  1369,  1375,  1378,  1391,  1405,
    1423,  1424,  1427,  1427,  1439,  1440
};
#endif


#if (YYDEBUG) || defined YYERROR_VERBOSE

/* YYTNAME[TOKEN_NUM] -- String name of the token TOKEN_NUM. */
static const char *const yytname[] =
{
  "$", "error", "$undefined.", "POSINT", "ID", "ERRTOK", "QSTRING", 
  "BRACE_OPEN", "BRACE_CLOSE", "COMMA", "RBRACKET_OPEN", "RBRACKET_CLOSE", 
  "BRACKET_OPEN", "BRACKET_CLOSE", "SEMICOLON", "COLON", "DP", "TC", "NS", 
  "IN", "OUT", "SIG", "REG", "SFG", "ASSIGN", "QMARK", "AT", "IOR", "XOR", 
  "AND", "SHL", "SHR", "ADD", "HASH", "SUB", "MUL", "MOD", "NOT", 
  "HARDWIRED", "SEQUENCER", "DOT", "SYSTEM", "STIMULUS", "DISPLAY", 
  "FINISH", "HEXDISPLAY", "DECDISPLAY", "BINDISPLAY", "EQ", "NE", "GRT", 
  "GRTEQ", "SMT", "SMTEQ", "SFGNAME", "CYCLENUM", "CVAR", "TRACE", 
  "OPTION", "DPNAME", "TARGET", "STATE", "INITIALSTATE", "IF", "THEN", 
  "ELSE", "FSM", "LOOKUP", "IPBLOCK", "IPTYPE", "IPPARM", "USE", 
  "fdl_description", "fdl_element", "optionspec", "option_string", 
  "system", "system_decl", "system_def", "system_def_el", "system_dp", 
  "system_dp_id", "system_dp_pin_list", "system_dp_pin_postfix", 
  "system_dp_pin", "system_stimulus", "stim_pin", "stim_fname", 
  "instr_dp_id", "instr_sfg_id", "ctl_dpdef", "ctl_name", 
  "hardwiredcontrol", "@1", "hw_def", "hw_def_el", "sequencercontrol", 
  "@2", "seq_def", "@3", "@4", "seq_def_el", "simple_seq_def", 
  "composite_seq_def", "composite_seq_def_contents", 
  "composite_seq_def_el", "fsmcontrol", "@5", "fsm_def", "fsm_def_el", 
  "state_id", "state_id_list", "initial_state_id", "transition_id", "@6", 
  "state_from_id", "target_transition_descr", "@7", "@8", "@9", "@10", 
  "transition_condition", "unconditional_transition_descr", "state_to_id", 
  "simple_sfg_set", "composite_sfg_set", "composite_sfg_set_contents", 
  "composite_sfg_set_el", "ipblock", "ipblock_id", "ipblock_id_copy", 
  "ipblock_io", "@11", "ipblock_def", "ipblock_def_el", "iptype", "@12", 
  "ipparm", "@13", "datapath", "dp_io", "@14", "dp_id", "dp_id_copy", 
  "dp_def", "dp_el", "com_sig_el", "@15", "@16", "trace_sig_el", 
  "trace_file_def", "trace_sig_def", "com_lut_id_list", "com_lut_id", 
  "lut_content", "lut_def", "lut_def_el", "port_io_list", "port_io_el", 
  "@17", "port_id_list", "port_id", "io_dir", "local_sig_id_list", 
  "local_sig_id", "com_sig_id_list", "com_sig_id", "sfg_el", "@18", 
  "sfg_internals", "local_sig_el", "@19", "directive", 
  "display_directive", "@20", "finish_directive", "display_el_list", 
  "display_el", "dp_inc_el", "dp_inc_id", "dp_inc_pin_list", 
  "dp_inc_pin_postfix", "expression_list", "semicol_expr", "expr", 
  "assignment_expr", "assignment_op", "conditional_expr", "ior_expr", 
  "xor_expr", "and_expr", "equal_expr", "shift_expr", "add_expr", 
  "mul_expr", "cast_expr", "unary_expr", "postfix_expr", "@21", "@22", 
  "rangeexp", "primary_expr", "string_term", "storage_type", "sig_type", 
  "@23", "sign_type", 0
};
#endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives. */
static const short yyr1[] =
{
       0,    72,    72,    73,    73,    73,    73,    73,    73,    73,
      74,    75,    76,    77,    78,    78,    79,    79,    80,    80,
      81,    82,    82,    83,    83,    84,    85,    86,    87,    88,
      89,    89,    90,    91,    93,    92,    94,    94,    95,    97,
      96,    99,    98,   100,    98,   101,   101,   102,   103,   104,
     104,   105,   107,   106,   108,   108,   109,   109,   110,   110,
     111,   111,   112,   110,   114,   113,   115,   117,   116,   118,
     119,   120,   116,   121,   122,   122,   123,   124,   125,   126,
     126,   127,   128,   128,   129,   130,   131,   132,   131,   133,
     133,   134,   134,   136,   135,   138,   137,   139,   139,   140,
     141,   140,   142,   143,   144,   144,   145,   145,   145,   145,
     147,   146,   148,   146,   149,   150,   151,   152,   152,   153,
     154,   155,   155,   156,   156,   157,   157,   159,   158,   160,
     160,   161,   162,   162,   162,   163,   163,   164,   165,   165,
     166,   168,   167,   169,   169,   169,   171,   170,   172,   172,
     174,   173,   175,   176,   176,   177,   177,   177,   177,   177,
     177,   177,   177,   178,   179,   180,   180,   181,   182,   182,
     183,   183,   184,   184,   185,   185,   186,   187,   187,   188,
     188,   189,   189,   190,   190,   191,   191,   191,   191,   191,
     191,   191,   192,   192,   192,   193,   193,   193,   193,   194,
     194,   194,   195,   195,   196,   196,   196,   197,   198,   197,
     199,   197,   200,   200,   201,   201,   201,   201,   202,   202,
     203,   203,   205,   204,   206,   206
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN. */
static const short yyr2[] =
{
       0,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     5,     1,     1,     2,     1,     1,     5,     2,
       1,     1,     3,     1,     4,     1,     7,     1,     1,     1,
       1,     1,     3,     1,     0,     7,     1,     2,     2,     0,
       7,     0,     2,     0,     3,     2,     2,     1,     3,     1,
       3,     1,     0,     7,     1,     2,     1,     1,     3,     3,
       1,     3,     1,     1,     0,     4,     1,     0,     2,     0,
       0,     0,     9,     3,     4,     4,     1,     1,     3,     1,
       3,     1,     6,     4,     1,     1,     0,     0,     4,     1,
       2,     1,     1,     0,     4,     0,     4,     6,     4,     0,
       0,     4,     1,     1,     1,     2,     1,     1,     1,     1,
       0,     6,     0,     8,     7,     1,     1,     1,     3,     1,
       3,     1,     3,     1,     2,     1,     3,     0,     5,     1,
       3,     1,     1,     1,     1,     1,     3,     1,     1,     3,
       1,     0,     6,     3,     1,     0,     0,     5,     1,     1,
       0,     5,     1,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     6,     1,     1,     3,     1,     2,     1,
       2,     2,     1,     3,     1,     3,     1,     1,     5,     1,
       3,     1,     3,     1,     3,     1,     3,     3,     3,     3,
       3,     3,     1,     3,     3,     1,     3,     3,     3,     1,
       3,     3,     1,     4,     1,     2,     2,     1,     0,     5,
       0,     5,     1,     3,     1,     1,     3,     4,     2,     1,
       1,     1,     0,     5,     1,     1
};

/* YYDEFACT[S] -- default rule to reduce with in state S when YYTABLE
   doesn't specify something else to do.  Zero means the default is an
   error. */
static const short yydefact[] =
{
       0,     0,     0,     0,     0,     0,     0,     0,     0,     1,
       9,     8,     4,     5,     6,     7,     3,   102,    99,    33,
       0,     0,    13,     0,   219,    10,    11,     0,    84,    86,
       2,   100,     0,     0,     0,    34,    39,     0,   218,    52,
      87,     0,     0,     0,   103,    98,     0,    29,     0,     0,
       0,    20,     0,     0,    14,    16,     0,    17,     0,     0,
      85,    83,     0,   134,   132,   133,     0,   125,   127,   220,
     221,     0,     0,   112,     0,     0,   104,   106,   109,   107,
     108,   110,    32,     0,    41,     0,    12,    15,     0,    19,
       0,     0,     0,     0,     0,    89,    91,    92,   101,     0,
       0,   141,     0,     0,   164,     0,    97,   105,     0,    30,
      31,     0,     0,    36,    43,     0,    27,     0,    25,     0,
      21,    23,    63,     0,     0,     0,     0,    54,    56,    57,
      88,    93,    95,    82,    90,   126,   131,     0,   129,     0,
     215,   214,     0,     0,     0,     0,     0,   116,   177,   179,
     181,   183,   185,   192,   195,   199,   202,   204,   207,   119,
       0,   117,     0,   140,     0,   138,    38,    35,    37,    40,
       0,     0,    47,    42,     0,     0,     0,     0,     0,     0,
      66,    64,    60,     0,    62,     0,    53,    55,     0,     0,
       0,     0,   145,   224,   225,     0,   172,   174,   202,     0,
       0,   205,   206,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   165,   167,
       0,     0,    44,    51,     0,    49,    45,    46,     0,    28,
      22,    18,   212,     0,    67,     0,    58,    59,    94,    96,
     130,   128,   150,   152,     0,     0,     0,   148,   149,   144,
     169,     0,   146,     0,   216,   176,     0,     0,     0,     0,
       0,   115,     0,   180,   182,   184,   186,   187,   189,   191,
     188,   190,   193,   194,   196,   198,   197,   200,   201,     0,
       0,   118,     0,     0,     0,   139,     0,     0,    48,     0,
      24,     0,    69,    65,     0,    61,     0,   142,     0,   170,
     168,   171,     0,   173,   175,   203,   222,   217,     0,     0,
       0,     0,     0,   166,   163,   111,    50,    26,   213,     0,
       0,    77,    68,     0,     0,     0,   143,   137,     0,   135,
       0,   114,   178,   209,   211,     0,     0,     0,    70,    81,
       0,    79,     0,     0,   160,   162,   161,   158,   159,   157,
       0,   153,   156,   155,     0,     0,   223,   123,     0,     0,
     121,   113,     0,     0,     0,    78,    76,     0,     0,     0,
     151,   136,   147,   124,   120,     0,    73,    67,    80,    74,
      75,   154,   122,     0,    71,    67,    72,     0,     0
};

static const short yydefgoto[] =
{
       8,     9,    10,    25,    11,    23,    53,    54,    55,    56,
     119,   120,   121,    57,   117,   238,    48,   111,    35,    20,
      12,    49,   112,   113,    13,    50,   114,   115,   170,   173,
     174,   175,   234,   235,    14,    58,   126,   127,   128,   183,
     185,   129,   244,   181,   303,   304,   329,   373,   395,   348,
     332,   377,   333,   334,   350,   351,    15,    29,    61,    42,
      59,    94,    95,    96,   188,    97,   189,    16,    33,    43,
      18,    45,    75,    76,    77,   108,   103,    78,   270,   146,
     160,   161,   346,   369,   370,    66,    67,   100,   137,   138,
      68,   338,   339,   164,   165,    79,   139,   254,   255,   312,
     256,   257,   306,   258,   360,   361,    80,   105,   227,   228,
     259,   260,   261,   196,   266,   197,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   222,   223,   243,   158,
     363,    81,   199,   340,   200
};

static const short yypact[] =
{
     183,     9,    39,    39,    78,   110,    39,   117,    10,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,    30,-32768,
     118,   118,-32768,   149,-32768,-32768,   188,   118,-32768,    32,
  -32768,-32768,   157,   182,   173,-32768,-32768,    17,-32768,-32768,
  -32768,   196,   212,    77,-32768,-32768,    96,-32768,   229,   237,
     243,-32768,   193,    16,-32768,-32768,   127,-32768,   245,    77,
  -32768,-32768,    -5,-32768,-32768,-32768,   112,-32768,-32768,-32768,
  -32768,   249,   244,-32768,   251,     6,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,    29,-32768,   252,-32768,-32768,   253,-32768,
      13,   137,   110,   110,   250,    -5,-32768,-32768,-32768,    77,
     255,-32768,   192,   257,-32768,   254,-32768,-32768,   258,-32768,
  -32768,   256,    28,-32768,   259,    42,-32768,   260,-32768,   155,
  -32768,   261,-32768,   262,    18,   264,     8,-32768,-32768,-32768,
  -32768,   188,   188,-32768,-32768,-32768,-32768,    22,-32768,   265,
  -32768,-32768,   142,   192,   192,   266,   269,-32768,   143,   235,
     236,    62,    74,   153,   104,-32768,-32768,   170,-32768,-32768,
      26,-32768,    15,-32768,    86,-32768,-32768,-32768,-32768,-32768,
      42,    29,-32768,-32768,   267,   268,   110,   253,   270,   271,
  -32768,-32768,-32768,    41,-32768,   272,-32768,-32768,   273,   274,
     255,   214,   128,-32768,-32768,   195,-32768,-32768,   247,   278,
     275,-32768,-32768,   276,   110,   192,   192,   192,   192,   192,
     192,   192,   192,   192,   192,   192,   192,   192,   192,   192,
     192,   192,   263,   280,   257,   214,   192,   198,-32768,-32768,
     258,   214,-32768,-32768,   201,-32768,-32768,-32768,   281,   188,
  -32768,-32768,-32768,   205,   216,    18,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,   283,   279,   282,-32768,-32768,   171,
  -32768,    53,-32768,   192,-32768,-32768,   192,   192,   291,   284,
     286,   188,    91,   235,   236,    62,    74,    74,    74,    74,
      74,    74,   153,   153,   104,   104,   104,-32768,-32768,   271,
     192,-32768,   277,    15,   285,-32768,   288,    29,-32768,   289,
  -32768,   295,-32768,-32768,    50,-32768,   290,-32768,   171,-32768,
  -32768,-32768,   300,-32768,-32768,-32768,-32768,-32768,   292,   192,
     210,   294,   301,-32768,-32768,-32768,-32768,-32768,-32768,   297,
      29,-32768,-32768,   223,   287,    88,   171,-32768,    93,-32768,
     298,-32768,-32768,-32768,-32768,    27,   296,   192,-32768,-32768,
     202,-32768,   307,   307,-32768,-32768,-32768,-32768,-32768,-32768,
     219,-32768,-32768,   188,   300,   214,-32768,-32768,   309,   234,
  -32768,-32768,   302,   293,    29,-32768,-32768,   303,   304,    88,
  -32768,-32768,-32768,-32768,-32768,    27,-32768,   216,-32768,-32768,
  -32768,-32768,-32768,   299,-32768,   216,-32768,   314,-32768
};

static const short yypgoto[] =
{
  -32768,   308,-32768,-32768,-32768,-32768,-32768,   305,-32768,-32768,
  -32768,   138,-32768,-32768,-32768,-32768,-32768,  -114,    82,   151,
  -32768,-32768,-32768,   207,-32768,-32768,-32768,-32768,-32768,   150,
  -32768,-32768,-32768,    24,-32768,-32768,-32768,   197,  -116,-32768,
  -32768,-32768,-32768,-32768,  -372,-32768,-32768,-32768,-32768,-32768,
  -32768,   -31,-32768,-32768,-32768,   -50,-32768,-32768,-32768,-32768,
  -32768,   230,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,   306,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,   102,-32768,-32768,   -58,   310,   231,-32768,-32768,   139,
  -32768,-32768,   -36,-32768,   101,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,   -47,-32768,-32768,-32768,    40,
      33,  -248,  -133,  -108,-32768,  -102,-32768,   129,   130,   126,
      25,    31,   -26,  -137,  -139,-32768,-32768,-32768,    47,  -157,
      -3,   146,  -187,-32768,-32768
};


#define	YYLAST		381


static const short yytable[] =
{
     147,   172,    26,   198,   251,   229,   201,   202,   182,   195,
     397,   310,   122,    17,   106,   393,   186,   122,   140,   141,
      51,    51,   122,   396,    86,   226,     1,    69,    70,    71,
     367,   190,   109,   109,   123,   224,   167,   191,   292,   123,
      31,   225,    40,    19,   296,    32,   109,    41,     2,     3,
     245,     4,   171,   198,   109,   246,   172,   233,    52,    52,
     330,   368,   263,    72,    92,    93,   198,   311,     5,   124,
     125,   145,   272,    73,   124,   125,     6,    74,     7,   124,
     125,    63,    22,   287,   288,   110,   110,   198,   310,   131,
     132,   140,   141,   195,    24,   230,    64,    65,   142,   110,
     263,   231,   364,    36,   215,   216,   319,   110,   365,    39,
     209,   210,   211,   212,   213,   214,    24,    69,    70,    71,
     198,    28,   143,    98,   198,   144,    99,   198,    34,   305,
     315,   140,   141,   354,   355,   356,   229,    88,   142,   220,
     221,    89,   357,   358,   145,   140,   141,   359,   130,    69,
      70,    99,   142,    72,    21,   313,    37,    27,   314,   193,
     194,    44,   143,    73,   177,   144,   178,    74,   205,   198,
     206,   252,   253,   239,   140,   141,   143,    47,   382,   144,
    -210,   142,  -208,   233,   145,   217,   218,   219,   321,    46,
     331,   284,   285,   286,    38,   140,   141,   198,   145,     1,
      60,   271,   142,    85,   263,   143,   264,   293,   144,   294,
     297,   374,   298,   375,   252,   253,   349,   342,   300,    62,
     301,     2,     3,   343,     4,   301,   143,   145,   379,   144,
     380,   193,   194,   362,   276,   277,   278,   279,   280,   281,
      82,     5,   384,   385,    83,   372,   282,   283,   145,     6,
      84,     7,    90,   101,   102,   104,   116,   118,   133,   136,
     349,   159,   163,   207,   162,   208,   180,   169,   184,   176,
     166,   265,   192,   179,   242,   289,   203,   362,   204,   302,
     269,   236,   237,   352,   241,   268,   247,   248,   249,   267,
     290,   307,   299,   308,   316,   317,   309,   318,   328,   324,
     335,   322,   325,   327,   337,   344,   341,   347,   345,   366,
     371,   376,   383,   386,   398,   240,    30,   389,   390,   168,
     232,   326,   378,   187,   388,   134,   291,   392,   381,   250,
     135,   295,   391,   323,   275,   273,   320,   274,   262,     0,
       0,   336,     0,     0,     0,     0,     0,   353,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   387,    87,     0,
       0,     0,     0,     0,   394,     0,     0,     0,     0,    91,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   107
};

static const short yycheck[] =
{
     102,   115,     5,   142,   191,   162,   143,   144,   124,   142,
       0,   259,     4,     4,     8,   387,     8,     4,     3,     4,
       4,     4,     4,   395,     8,    10,    16,    21,    22,    23,
       3,     9,     4,     4,    26,     9,     8,    15,   225,    26,
      10,    15,    10,     4,   231,    15,     4,    15,    38,    39,
       9,    41,    10,   192,     4,    14,   170,   171,    42,    42,
      10,    34,     9,    57,    69,    70,   205,    14,    58,    61,
      62,    56,   205,    67,    61,    62,    66,    71,    68,    61,
      62,     4,     4,   220,   221,    57,    57,   226,   336,    92,
      93,     3,     4,   226,     6,     9,    19,    20,    10,    57,
       9,    15,     9,    21,    30,    31,    15,    57,    15,    27,
      48,    49,    50,    51,    52,    53,     6,    21,    22,    23,
     259,     4,    34,    11,   263,    37,    14,   266,    10,   245,
     267,     3,     4,    45,    46,    47,   293,    10,    10,    35,
      36,    14,    54,    55,    56,     3,     4,    59,    11,    21,
      22,    14,    10,    57,     3,   263,     7,     6,   266,    17,
      18,     4,    34,    67,     9,    37,    11,    71,    25,   308,
      27,    43,    44,   176,     3,     4,    34,     4,   365,    37,
      10,    10,    12,   297,    56,    32,    33,    34,   290,     7,
     304,   217,   218,   219,     6,     3,     4,   336,    56,    16,
       4,   204,    10,    10,     9,    34,    11,     9,    37,    11,
       9,     9,    11,    11,    43,    44,   330,   319,    13,     7,
      15,    38,    39,    13,    41,    15,    34,    56,     9,    37,
      11,    17,    18,   335,   209,   210,   211,   212,   213,   214,
      11,    58,     8,     9,     7,   347,   215,   216,    56,    66,
       7,    68,     7,     4,    10,     4,     4,     4,     8,     4,
     374,     4,     4,    28,    10,    29,     4,     8,     4,     9,
      14,    24,     7,    12,     3,    12,    10,   379,     9,    63,
       4,    14,    14,    60,    14,    10,    14,    14,    14,    11,
      10,     8,    11,    14,     3,    11,    14,    11,     3,    14,
      10,    24,    14,    14,     4,    11,    14,    10,     7,    11,
      14,     4,     3,    11,     0,   177,     8,    14,    14,   112,
     170,   297,   353,   126,   374,    95,   224,   385,   364,   190,
      99,   230,   379,   293,   208,   206,   289,   207,   192,    -1,
      -1,   308,    -1,    -1,    -1,    -1,    -1,    60,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    53,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    -1,    -1,    -1,    59,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    75
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/share/bison/bison.simple"

/* Skeleton output parser for bison,

   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002 Free Software
   Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser when
   the %semantic_parser declaration is not specified in the grammar.
   It was written by Richard Stallman by simplifying the hairy parser
   used when %semantic_parser is specified.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

#if ! defined (yyoverflow) || defined (YYERROR_VERBOSE)

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# if YYSTACK_USE_ALLOCA
#  define YYSTACK_ALLOC alloca
# else
#  ifndef YYSTACK_USE_ALLOCA
#   if defined (alloca) || defined (_ALLOCA_H)
#    define YYSTACK_ALLOC alloca
#   else
#    ifdef __GNUC__
#     define YYSTACK_ALLOC __builtin_alloca
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC malloc
#  define YYSTACK_FREE free
# endif
#endif /* ! defined (yyoverflow) || defined (YYERROR_VERBOSE) */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (YYLTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short yyss;
  YYSTYPE yyvs;
# if YYLSP_NEEDED
  YYLTYPE yyls;
# endif
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAX (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# if YYLSP_NEEDED
#  define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE) + sizeof (YYLTYPE))	\
      + 2 * YYSTACK_GAP_MAX)
# else
#  define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE))				\
      + YYSTACK_GAP_MAX)
# endif

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAX;	\
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif


#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	goto yyacceptlab
#define YYABORT 	goto yyabortlab
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");			\
      YYERROR;							\
    }								\
while (0)

#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Compute the default location (before the actions
   are run).

   When YYLLOC_DEFAULT is run, CURRENT is set the location of the
   first token.  By default, to implement support for ranges, extend
   its range to the last symbol.  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)       	\
   Current.last_line   = Rhs[N].last_line;	\
   Current.last_column = Rhs[N].last_column;
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#if YYPURE
# if YYLSP_NEEDED
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, &yylloc, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval, &yylloc)
#  endif
# else /* !YYLSP_NEEDED */
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval)
#  endif
# endif /* !YYLSP_NEEDED */
#else /* !YYPURE */
# define YYLEX			yylex ()
#endif /* !YYPURE */


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)
/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
#endif /* !YYDEBUG */

/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#if YYMAXDEPTH == 0
# undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

#ifdef YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif
#endif

#line 315 "/usr/share/bison/bison.simple"


/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
#  define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL
# else
#  define YYPARSE_PARAM_ARG YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
# endif
#else /* !YYPARSE_PARAM */
# define YYPARSE_PARAM_ARG
# define YYPARSE_PARAM_DECL
#endif /* !YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
# ifdef YYPARSE_PARAM
int yyparse (void *);
# else
int yyparse (void);
# endif
#endif

/* YY_DECL_VARIABLES -- depending whether we use a pure parser,
   variables are global, or local to YYPARSE.  */

#define YY_DECL_NON_LSP_VARIABLES			\
/* The lookahead symbol.  */				\
int yychar;						\
							\
/* The semantic value of the lookahead symbol. */	\
YYSTYPE yylval;						\
							\
/* Number of parse errors so far.  */			\
int yynerrs;

#if YYLSP_NEEDED
# define YY_DECL_VARIABLES			\
YY_DECL_NON_LSP_VARIABLES			\
						\
/* Location data for the lookahead symbol.  */	\
YYLTYPE yylloc;
#else
# define YY_DECL_VARIABLES			\
YY_DECL_NON_LSP_VARIABLES
#endif


/* If nonreentrant, generate the variables here. */

#if !YYPURE
YY_DECL_VARIABLES
#endif  /* !YYPURE */

int
yyparse (YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  /* If reentrant, generate the variables here. */
#if YYPURE
  YY_DECL_VARIABLES
#endif  /* !YYPURE */

  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Lookahead token as an internal (translated) token number.  */
  int yychar1 = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack. */
  short	yyssa[YYINITDEPTH];
  short *yyss = yyssa;
  register short *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;

#if YYLSP_NEEDED
  /* The location stack.  */
  YYLTYPE yylsa[YYINITDEPTH];
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;
#endif

#if YYLSP_NEEDED
# define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
# define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  YYSIZE_T yystacksize = YYINITDEPTH;


  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
#if YYLSP_NEEDED
  YYLTYPE yyloc;
#endif

  /* When reducing, the number of symbols on the RHS of the reduced
     rule. */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;
#if YYLSP_NEEDED
  yylsp = yyls;
#endif
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short *yyss1 = yyss;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  */
# if YYLSP_NEEDED
	YYLTYPE *yyls1 = yyls;
	/* This used to be a conditional around just the two extra args,
	   but that might be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);
	yyls = yyls1;
# else
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yystacksize);
# endif
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;

      {
	short *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);
# if YYLSP_NEEDED
	YYSTACK_RELOCATE (yyls);
# endif
# undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
#if YYLSP_NEEDED
      yylsp = yyls + yysize - 1;
#endif

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yychar1 = YYTRANSLATE (yychar);

#if YYDEBUG
     /* We have to keep this `#if YYDEBUG', since we use variables
	which are defined only if `YYDEBUG' is set.  */
      if (yydebug)
	{
	  YYFPRINTF (stderr, "Next token is %d (%s",
		     yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise
	     meaning of a token, for further debugging info.  */
# ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
# endif
	  YYFPRINTF (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */
  YYDPRINTF ((stderr, "Shifting token %d (%s), ",
	      yychar, yytname[yychar1]));

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to the semantic value of
     the lookahead token.  This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

#if YYLSP_NEEDED
  /* Similarly for the default location.  Let the user run additional
     commands if for instance locations are ranges.  */
  yyloc = yylsp[1-yylen];
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
#endif

#if YYDEBUG
  /* We have to keep this `#if YYDEBUG', since we use variables which
     are defined only if `YYDEBUG' is set.  */
  if (yydebug)
    {
      int yyi;

      YYFPRINTF (stderr, "Reducing via rule %d (line %d), ",
		 yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (yyi = yyprhs[yyn]; yyrhs[yyi] > 0; yyi++)
	YYFPRINTF (stderr, "%s ", yytname[yyrhs[yyi]]);
      YYFPRINTF (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif

  switch (yyn) {

case 10:
#line 276 "fdl.y"
{;
    break;}
case 11:
#line 279 "fdl.y"
{
        symbol *prm = new symbol(new namesym(fdl_current_string), 
				 symbol::option, 
                                 NOSYMBOL);
	// options are modules because they are top-level symbols
	glbModuleTable.addmodule(prm->id());
        glbSymboltable.append(prm);
        ;
    break;}
case 12:
#line 291 "fdl.y"
{;
    break;}
case 13:
#line 294 "fdl.y"
{
	      symid CHK = glbSymboltable.findsystem(yyvsp[0].str);
              if (CHK != NOSYMBOL) {
		sprintf(fdl_error_message,
			"(line %d) Error: Multiple definition of system %s", 
			(int) fdl_lineno,  yyvsp[0].str);
		fdl_error_id = MULTIPLE_SYSTEMS;
		YYERROR;
	      }
              symbol *sym = new symbol(new namesym(yyvsp[0].str),
                                       symbol::system, NOSYMBOL);
              glbSymboltable.append(sym);
	      glbModuleTable.addmodule(sym->id());
              fdl_system = sym->id();
            ;
    break;}
case 20:
#line 323 "fdl.y"
{
	      symid CHK = glbSymboltable.finddp(yyvsp[0].str);
              if (CHK == NOSYMBOL) {
		sprintf(fdl_error_message,
			"(line %d) Error: Unknown datapath %s in system interconnect ", 
			(int) fdl_lineno,  yyvsp[0].str);
		fdl_error_id = BAD_DP_NAME;
		YYERROR;
	      }
              fdl_datapath = CHK;
              symbol *sym = new symbol(new refsym(CHK), symbol::sysdp, fdl_system);
              glbSymboltable.append(sym);      
              fdl_pinno    = 0;
	      glbModuleTable.defineparentof(CHK, fdl_system);
             ;
    break;}
case 23:
#line 344 "fdl.y"
{
                        // add pin connection id
                       symid actualpin = glbSymboltable.findactparm(fdl_pinno, fdl_datapath);
                       symbol *sym = new symbol(new pinsym(actualpin, fdl_datapath),
                                                symbol::syspin, fdl_net);
                       glbSymboltable.append(sym);
                       ++fdl_pinno;
                     ;
    break;}
case 24:
#line 352 "fdl.y"
{
                         int ib = (fdl_index1 > fdl_index2) ? fdl_index2 : fdl_index1;
                         int ie = (fdl_index1 > fdl_index2) ? fdl_index1 : fdl_index2;
                         symbol *isym = new symbol(new indexsym(ib, ie-ib+1, fdl_net), symbol::net_index, fdl_net);
                         glbSymboltable.append(isym);
                         symid indexer = isym->id();
                         // --- pin connection
                         symid actualpin = glbSymboltable.findactparm(fdl_pinno, fdl_datapath);
                         symbol *psym = new symbol(new pinsym(actualpin, fdl_datapath),
                                                  symbol::syspin, indexer);
                         glbSymboltable.append(psym);
                         ++fdl_pinno;
                     ;
    break;}
case 25:
#line 367 "fdl.y"
{
		// add system net
                symid CHK = glbSymboltable.findnet(yyvsp[0].str);
                if (CHK == NOSYMBOL) {
                   symbol *sym = new symbol(new namesym(yyvsp[0].str),
                                            symbol::sysnet, fdl_system);
                   glbSymboltable.append(sym);
	           CHK = sym->id();
                }
                fdl_net = CHK;

              ;
    break;}
case 26:
#line 382 "fdl.y"
{;
    break;}
case 27:
#line 385 "fdl.y"
{
           // add system net
           fdl_net = glbSymboltable.findnet(yyvsp[0].str);
           if (fdl_net == NOSYMBOL) {
              symbol *sym = new symbol(new namesym(yyvsp[0].str),
                                       symbol::sysnet, fdl_system);
              glbSymboltable.append(sym);
	      fdl_net = sym->id();
           }
         ;
    break;}
case 28:
#line 397 "fdl.y"
{ 
           // define a driver file symbol out of file for fdl_net
           symbol *sym = new symbol(new namesym(fdl_current_string), symbol::dfile, fdl_net);
           glbSymboltable.append(sym);
           ;
    break;}
case 29:
#line 417 "fdl.y"
{
	// must be an existing datapath
	symid CHK = glbSymboltable.finddp(yyvsp[0].str);
        if (CHK == NOSYMBOL) {
	  sprintf(fdl_error_message,
		  "(line %d) Error: Unknown datapath identifier %s ", 
		  (int) fdl_lineno,  yyvsp[0].str);
	  fdl_error_id = BAD_DP_NAME;
	  YYERROR;
	}
        fdl_datapath = CHK;
        ;
    break;}
case 30:
#line 431 "fdl.y"
{
        // must be an existing sfg within datapath fdl_datapath
	symid CHK = glbSymboltable.findsfg_backward(yyvsp[0].str, fdl_datapath);
        if (CHK == NOSYMBOL) {
	  sprintf(fdl_error_message,
		  "(line %d) Error: Unknown sfg identifier %s ", 
		  (int) fdl_lineno,  yyvsp[0].str);
	  fdl_error_id = BAD_DP_NAME;
	  YYERROR;
	}
        symbol *ctlsfg = new symbol(new sfgexecsym(CHK, fdl_datapath),
				    symbol::sfg_exec, 
				    fdl_control_step);
	glbSymboltable.append(ctlsfg);
        ;
    break;}
case 31:
#line 446 "fdl.y"
{
        // a trace instruction is a help for debugging
        symbol *trac = new symbol(new namesym("tracer"), symbol::tracer, fdl_controller);
	glbSymboltable.append(trac);
        ;
    break;}
case 32:
#line 453 "fdl.y"
{;
    break;}
case 33:
#line 456 "fdl.y"
{
             if (strlen(yyvsp[0].str) > MAXSYMLEN) {
               strncpy(fdl_control_name, yyvsp[0].str, MAXSYMLEN-1);
               fdl_control_name[MAXSYMLEN-1] = 0;
             } else {
               strcpy(fdl_control_name, yyvsp[0].str);
             }
           ;
    break;}
case 34:
#line 476 "fdl.y"
{
  	            symid CHK = glbSymboltable.findctl(fdl_control_name);
                    if (CHK != NOSYMBOL) {
		      sprintf(fdl_error_message,
			      "(line %d) Error: Multiple definition of controller %s ", 
			      (int) fdl_lineno, fdl_control_name );
		      fdl_error_id = BAD_DP_NAME;
		      YYERROR;
		    } 
                    symbol *hwctl = new symbol(new ctlsym(fdl_control_name, fdl_datapath), 
				               symbol::hwire_ctl, NOSYMBOL);
	            glbSymboltable.append(hwctl);
                    fdl_controller = hwctl->id();
                    fdl_control_step = hwctl->id(); // hardwired control has one single control step
                ;
    break;}
case 35:
#line 490 "fdl.y"
{;
    break;}
case 39:
#line 503 "fdl.y"
{
  	            symid CHK = glbSymboltable.findctl(fdl_control_name);
                    if (CHK != NOSYMBOL) {
		      sprintf(fdl_error_message,
			      "(line %d) Error: Multiple definition of controller %s ", 
			      (int) fdl_lineno, fdl_control_name );
		      fdl_error_id = BAD_DP_NAME;
		      YYERROR;
		    }
                    symbol *seqctl = new symbol(new ctlsym(fdl_control_name, fdl_datapath), 
				                     symbol::seq_ctl, NOSYMBOL);
	            glbSymboltable.append(seqctl);
                    fdl_controller = seqctl->id();
                 ;
    break;}
case 41:
#line 519 "fdl.y"
{
          fdl_control_step = add_control_step(NOSYMBOL, fdl_control_step_count, fdl_controller);
        ;
    break;}
case 43:
#line 522 "fdl.y"
{
          fdl_control_step = add_control_step(NOSYMBOL, fdl_control_step_count, fdl_controller);
        ;
    break;}
case 48:
#line 534 "fdl.y"
{;
    break;}
case 52:
#line 545 "fdl.y"
{
  	        symid CHK = glbSymboltable.findctl(fdl_control_name);
                if (CHK != NOSYMBOL) {
		  sprintf(fdl_error_message,
			  "(line %d) Error: Multiple definition of controller %s ", 
			  (int) fdl_lineno, fdl_control_name );
		  fdl_error_id = BAD_DP_NAME;
		  YYERROR;
		}
                symbol *hwctl = new symbol(new ctlsym(fdl_control_name, fdl_datapath), 
				               symbol::fsm_ctl, NOSYMBOL);
	        glbSymboltable.append(hwctl);
                fdl_controller = hwctl->id();
                fdl_control_step_count = 0;

                /* fdl_sfg is the context variable (symid) for expressions, and points
                   to the most recently create SFG symbol. For control
                   steps, the context variable is the current control step,
                   and fdl_sfg is made to point to that control step */

                fdl_sfg = fdl_controller;

          ;
    break;}
case 58:
#line 578 "fdl.y"
{;
    break;}
case 59:
#line 579 "fdl.y"
{;
    break;}
case 62:
#line 586 "fdl.y"
{
             symid rval = glbSymboltable.findstate(yyvsp[0].str, fdl_controller);
             if (rval != NOSYMBOL) {
	       sprintf(fdl_error_message,
		       "(line %d) Error: Multiple definition of state %s ", 
		       (int) fdl_lineno, yyvsp[0].str);
	       fdl_error_id = BAD_DP_NAME;
	       YYERROR;
	     }
             symbol *s = new symbol(new namesym(yyvsp[0].str), symbol::fsm_initial, fdl_controller);
             glbSymboltable.append(s);
             ;
    break;}
case 63:
#line 600 "fdl.y"
{
          symid rval = glbSymboltable.findstate(yyvsp[0].str, fdl_controller);
          if (rval != NOSYMBOL) {
	    sprintf(fdl_error_message,
		    "(line %d) Error: Multiple definition of state %s ", 
		    (int) fdl_lineno, yyvsp[0].str);
	    fdl_error_id = BAD_DP_NAME;
	    YYERROR;
	  }
          symbol *s = new symbol(new namesym(yyvsp[0].str), symbol::fsm_state, fdl_controller);
          glbSymboltable.append(s);
        ;
    break;}
case 64:
#line 614 "fdl.y"
{fdl_condition.push_back(NOSYMBOL);;
    break;}
case 66:
#line 617 "fdl.y"
{
             symid rval =  glbSymboltable.findstate(yyvsp[0].str, fdl_controller);
             if (rval == NOSYMBOL) {
	       sprintf(fdl_error_message,
		       "(line %d) Error: Unknown starting state %s ", 
		       (int) fdl_lineno, yyvsp[0].str);
	       fdl_error_id = BAD_DP_NAME;
	       YYERROR;
	     }
             fdl_from_state = rval;
             ;
    break;}
case 67:
#line 630 "fdl.y"
{
                         fdl_control_step = add_control_step(fdl_condition.back(), 
							     fdl_control_step_count, 
                                                             fdl_controller);
                         ;
    break;}
case 69:
#line 637 "fdl.y"
{fdl_expect_only_registers = true; ;
    break;}
case 70:
#line 639 "fdl.y"
{ fdl_expect_only_registers = false; 
                               symbol *sym = new symbol(new refsym(yyvsp[0].shash), 
                                                        symbol::ctl_true, 
                                                        fdl_condition.back());
                               glbSymboltable.append(sym); 
                               fdl_condition.push_back(sym->id());
                             ;
    break;}
case 71:
#line 648 "fdl.y"
{
                               fdl_condition.pop_back();

                               symbol *sym = new symbol(new refsym(yyvsp[-4].shash), 
                                                      symbol::ctl_false, 
                                                      fdl_condition.back());
                               glbSymboltable.append(sym);
                               fdl_condition.push_back(sym->id());
                             ;
    break;}
case 72:
#line 658 "fdl.y"
{
                               fdl_condition.pop_back();
                             ;
    break;}
case 73:
#line 665 "fdl.y"
{yyval.shash = yyvsp[-1].shash;;
    break;}
case 76:
#line 672 "fdl.y"
{
             symid rval =  glbSymboltable.findstate(yyvsp[0].str, fdl_controller);
             if (rval == NOSYMBOL) {
	       sprintf(fdl_error_message,
		       "(line %d) Error: Unknown target state %s ", 
		       (int) fdl_lineno, yyvsp[0].str);
	       fdl_error_id = BAD_DP_NAME;
	       YYERROR;
	     }
             // create transition from fdl_from_state to this one
             symbol *s = new symbol(new transitionsym(fdl_from_state, rval), 
				    symbol::fsm_trans, 
                                    fdl_control_step);
             glbSymboltable.append(s); 
           ;
    break;}
case 78:
#line 692 "fdl.y"
{;
    break;}
case 82:
#line 703 "fdl.y"
{;
    break;}
case 83:
#line 704 "fdl.y"
{;
    break;}
case 84:
#line 707 "fdl.y"
{
	     symid CHK = glbSymboltable.finddp(yyvsp[0].str);
             if (CHK != NOSYMBOL) {
	       sprintf(fdl_error_message,
		       "(line %d) Error: Multiple definition of datapath/ipblock %s ", 
		       (int) fdl_lineno, yyvsp[0].str);
	       fdl_error_id = BAD_DP_NAME;
	       YYERROR;
	     } 
             symbol *block = new symbol(new namesym(yyvsp[0].str), 
			         symbol::ipblock, NOSYMBOL);
	     glbSymboltable.append(block);
	     fdl_datapath = block->id();
	     glbSymboltable.idx_markdp(block->content()->getname(), block->id());
	     glbModuleTable.addmodule(block->id());
	    ;
    break;}
case 85:
#line 725 "fdl.y"
{
	     symid CHK = glbSymboltable.finddp(yyvsp[0].str);
             if (CHK == NOSYMBOL) {
               sprintf(fdl_error_message,
                       "(line %d) Error: Ipblock to copy %s not found",
                       (int) fdl_lineno, yyvsp[0].str);
               fdl_error_id = BAD_DP_NAME;
               YYERROR;
             }
	     fprintf(stderr, "sss\n");
	     glbSymboltable.clone_ipblock(fdl_datapath, CHK);
             ;
    break;}
case 87:
#line 739 "fdl.y"
{fdl_iodeclares_ipblock = true;;
    break;}
case 93:
#line 750 "fdl.y"
{
           symbol *typ = new symbol(new namesym(fdl_current_string), 
				    symbol::iptype, 
                                    fdl_datapath);
	   glbSymboltable.append(typ);
      ;
    break;}
case 95:
#line 758 "fdl.y"
{
           symbol *prm = new symbol(new namesym(fdl_current_string), 
				    symbol::ipparm, 
                                    fdl_datapath);
	   glbSymboltable.append(prm);
      ;
    break;}
case 97:
#line 786 "fdl.y"
{;
    break;}
case 98:
#line 787 "fdl.y"
{;
    break;}
case 100:
#line 791 "fdl.y"
{fdl_iodeclares_ipblock = false;;
    break;}
case 101:
#line 791 "fdl.y"
{;
    break;}
case 102:
#line 794 "fdl.y"
{
	     symid CHK = glbSymboltable.finddp(yyvsp[0].str);
             if (CHK != NOSYMBOL) {
	       sprintf(fdl_error_message,
		       "(line %d) Error: Multiple definition of datapath/ipblock %s ", 
		       (int) fdl_lineno, yyvsp[0].str);
	       fdl_error_id = BAD_DP_NAME;
	       YYERROR;
	     } 
             symbol *datapath = new symbol(new namesym(yyvsp[0].str), 
					   symbol::datapath, NOSYMBOL);
	     glbSymboltable.append(datapath);
	     fdl_datapath = datapath->id();
	     glbSymboltable.idx_markdp(datapath->content()->getname(), datapath->id());
	     glbModuleTable.addmodule(datapath->id());
	  ;
    break;}
case 103:
#line 812 "fdl.y"
{
	     symid CHK = glbSymboltable.finddp(yyvsp[0].str);

             if (CHK == NOSYMBOL) {
               sprintf(fdl_error_message,
                       "(line %d) Error: Datapath to copy %s not found",
                       (int) fdl_lineno, yyvsp[0].str);
               fdl_error_id = BAD_DP_NAME;
               YYERROR;
             }
             // first, convert type of last entered datapath into datapath_clone
             glbSymboltable.getsymbol(fdl_datapath)->converttypetoclone(CHK);
	     // now perform cloning operation
	     glbSymboltable.clone_dp(fdl_datapath, CHK);
        ;
    break;}
case 110:
#line 840 "fdl.y"
{fdl_storage_type = yyvsp[0].cmd; 
              fdl_topsymbol    = glbSymboltable.topsymbol(); ;
    break;}
case 112:
#line 843 "fdl.y"
{
            fdl_topsymbol = glbSymboltable.topsymbol();
          ;
    break;}
case 114:
#line 850 "fdl.y"
{;
    break;}
case 115:
#line 854 "fdl.y"
{
	    if (fdl_trace_sig_id != NOSYMBOL) {
              symbol *s = new symbol(new attrsym(fdl_current_string, fdl_trace_sig_id), 
				     symbol::tracesig, 
				     fdl_datapath);
	      glbSymboltable.append(s);
	    }
	  ;
    break;}
case 116:
#line 871 "fdl.y"
{
	    fdl_trace_sig_id = yyvsp[0].shash;
          ;
    break;}
case 119:
#line 882 "fdl.y"
{
        symid CHK = glbSymboltable.findcomsig(yyvsp[0].str, fdl_datapath);
	if (CHK != NOSYMBOL) {
	  sprintf(fdl_error_message,
		  "(line %d) Error: Multiple definition of common name %s ", 
		  (int) fdl_lineno, yyvsp[0].str);
	  fdl_error_id = BAD_DP_NAME;
	  YYERROR;
	}
        symbol *s = new symbol(new namesym(yyvsp[0].str), symbol::com_lu, fdl_datapath);
	glbSymboltable.append(s);
	glbSymboltable.idx_markcomsig(fdl_datapath, s->content()->getname(), s->id());
      ;
    break;}
case 120:
#line 897 "fdl.y"
{;
    break;}
case 123:
#line 904 "fdl.y"
{
      	  symbol *s = new symbol(new namesym(yyvsp[0].posint), symbol::const_op, fdl_topsymbol);
      	  glbSymboltable.append(s);
          ;
    break;}
case 124:
#line 908 "fdl.y"
{
             char buf[255]; char *buf2 = buf;
             strcpy(buf2, "-");
	     strcat(buf2, yyvsp[0].posint);
      	     symbol *s = new symbol(new namesym(buf2), symbol::const_op, fdl_topsymbol);
      	     glbSymboltable.append(s);
          ;
    break;}
case 127:
#line 923 "fdl.y"
{fdl_topsymbol = glbSymboltable.topsymbol();;
    break;}
case 129:
#line 927 "fdl.y"
{;
    break;}
case 130:
#line 928 "fdl.y"
{;
    break;}
case 131:
#line 931 "fdl.y"
{
           symid CHK = glbSymboltable.findcomsig(yyvsp[0].str, fdl_datapath);
	   if (CHK != NOSYMBOL) {
	     sprintf(fdl_error_message,
		     "(line %d) Error: Multiple Definition of global signal or port %s ", 
		     (int) fdl_lineno, yyvsp[0].str);
	     fdl_error_id = BAD_DP_NAME;
	     YYERROR;
	   } 
	   if (fdl_io_dir == IN) {
              symbol *ioport = new symbol(new namesym(yyvsp[0].str), 
				          symbol::dpinput, 
				          fdl_datapath);
              glbSymboltable.append(ioport);
	      glbSymboltable.idx_markcomsig(fdl_datapath, ioport->content()->getname(), ioport->id());
           } else if (fdl_io_dir == OUT) {
               symbol *ioport = new symbol(new namesym(yyvsp[0].str), 
 					   (fdl_iodeclares_ipblock) ? symbol::ipoutput : symbol::dpoutput, 
					   fdl_datapath);
               glbSymboltable.append(ioport);
 	       glbSymboltable.idx_markcomsig(fdl_datapath, ioport->content()->getname(), ioport->id());
           } else {
               sprintf(fdl_error_message,
                       "(line %d) Error: Port Type %s Unknown, Parser Error",
                       (int) fdl_lineno, (char *) yyvsp[0].str);
               fdl_error_id = BAD_IO_TYPE;
               YYERROR;
           }
         ;
    break;}
case 132:
#line 962 "fdl.y"
{fdl_io_dir = yyvsp[0].cmd;;
    break;}
case 133:
#line 963 "fdl.y"
{fdl_io_dir = yyvsp[0].cmd;;
    break;}
case 134:
#line 964 "fdl.y"
{ sprintf(fdl_error_message,
		     "(line %d) Error: Unrecognized IO type %s",
		     (int) fdl_lineno, yyvsp[0].str);
             fdl_error_id = BAD_IO_TYPE;
	     YYERROR;
           ;
    break;}
case 137:
#line 978 "fdl.y"
{
	   symid CHK = glbSymboltable.findlocalsig(yyvsp[0].str, fdl_sfg);
           if (CHK != NOSYMBOL) {
	     sprintf(fdl_error_message,
		     "(line %d) Error: Multiple Definition of local signal %s ", 
		     (int) fdl_lineno, yyvsp[0].str);
	     fdl_error_id = BAD_DP_NAME;
	     YYERROR;
	   }
           symbol *s = new symbol(new namesym(yyvsp[0].str),
                                  (fdl_storage_type == REG) ? 
                                       symbol::local_reg : 
                                       symbol::local_sig,
                                  fdl_sfg);
           glbSymboltable.append(s);
           ;
    break;}
case 140:
#line 1000 "fdl.y"
{
           symid CHK = glbSymboltable.findcomsig(yyvsp[0].str, fdl_datapath);
	   if (CHK != NOSYMBOL) {
	     sprintf(fdl_error_message,
		     "(line %d) Error: Multiple Definition of global signal or port %s ", 
		     (int) fdl_lineno, yyvsp[0].str);
	     fdl_error_id = BAD_DP_NAME;
	     YYERROR;
	   } 
           symbol *s = new symbol(new namesym(yyvsp[0].str),
                                  (fdl_storage_type == REG) ? 
					symbol::com_reg : 
				        symbol::com_sig,
                                  fdl_datapath);
           glbSymboltable.append(s);
	   glbSymboltable.idx_markcomsig(fdl_datapath, s->content()->getname(), s->id());
           ;
    break;}
case 141:
#line 1021 "fdl.y"
{
         symid CHK = glbSymboltable.findsfg_backward(yyvsp[0].str, fdl_datapath);
	 if (CHK != NOSYMBOL) {
	   sprintf(fdl_error_message,
		   "(line %d) Error: Multiple Definition of sfg %s ", 
		   (int) fdl_lineno, yyvsp[0].str);
	   fdl_error_id = BAD_DP_NAME;
	   YYERROR;
	 } 
         symbol *s = new symbol(new namesym(yyvsp[0].str), 
			        symbol::sfg, 
				fdl_datapath);
	 glbSymboltable.append(s);          
         fdl_sfg   = s->id();
        ;
    break;}
case 146:
#line 1044 "fdl.y"
{fdl_storage_type = yyvsp[0].cmd; 
              fdl_topsymbol    = glbSymboltable.topsymbol(); ;
    break;}
case 150:
#line 1056 "fdl.y"
{
		symbol * s = new symbol(new asym, symbol::display, fdl_sfg);
		glbSymboltable.append(s);
		fdl_display = s->id();
		;
    break;}
case 152:
#line 1062 "fdl.y"
{
		symbol * s = new symbol(new asym, symbol::finish, fdl_sfg);
		glbSymboltable.append(s);
		;
    break;}
case 155:
#line 1071 "fdl.y"
{
           // define a name symbol 
           symbol *sym = new symbol(new namesym(fdl_current_string), symbol::display_str, fdl_display);
           glbSymboltable.append(sym);
          ;
    break;}
case 156:
#line 1083 "fdl.y"
{
           symbol *rval = glbSymboltable.getsymbol(yyvsp[0].shash);
	   //           if (rval == NOSYMBOL) 
	   //              FDLWARN("Unknown signal identifier %s",$1)
           symbol *sym = new symbol(new refsym(rval->id()), symbol::display_var, fdl_display);
           glbSymboltable.append(sym);
          ;
    break;}
case 157:
#line 1090 "fdl.y"
{
            symbol *sym = new symbol(new asym, 
				     symbol::display_dp, 
				     fdl_display);
	    glbSymboltable.append(sym);
	    //	   symbol *symdp = glbSymboltable.getsymbol(fdl_datapath);
	    //           symbol *sym   = new symbol(symdp->content()->clone(0),  
	    //			              symbol::display_str, 
	    //                                      fdl_display);
	    //	   glbSymboltable.append(sym);
          ;
    break;}
case 158:
#line 1101 "fdl.y"
{
	   symbol *symsfg = glbSymboltable.getsymbol(fdl_sfg);
           symbol *sym   = new symbol(symsfg->content()->clone(0),  
			              symbol::display_str, 
                                      fdl_display);
	   glbSymboltable.append(sym);           
          ;
    break;}
case 159:
#line 1108 "fdl.y"
{
           symbol *sym   = new symbol(new asym,  
			              symbol::display_cycle, 
                                      fdl_display);
	   glbSymboltable.append(sym);
          ;
    break;}
case 160:
#line 1114 "fdl.y"
{
	     symbol *sym = new symbol(new intsym(16), symbol::display_changebase, fdl_display);
             glbSymboltable.append(sym);
          ;
    break;}
case 161:
#line 1118 "fdl.y"
{
	     symbol *sym = new symbol(new intsym(2), symbol::display_changebase, fdl_display);
             glbSymboltable.append(sym);
          ;
    break;}
case 162:
#line 1122 "fdl.y"
{
	     symbol *sym = new symbol(new intsym(10), symbol::display_changebase, fdl_display);
             glbSymboltable.append(sym);
          ;
    break;}
case 163:
#line 1132 "fdl.y"
{;
    break;}
case 164:
#line 1135 "fdl.y"
{
	  symid CHK = glbSymboltable.finddp(yyvsp[0].str);
	  if (CHK == NOSYMBOL) {
	    sprintf(fdl_error_message,
		    "(line %d) Error: Unknown datapath %s",
		    (int) fdl_lineno, yyvsp[0].str);
	    fdl_error_id = BAD_DP_NAME;
	    YYERROR;
	  }
          // check if this datapath was already include somewhere
          symid CHK2 = glbSymboltable.findincdp(yyvsp[0].str);
          if (CHK2 != NOSYMBOL) {
	    sprintf(fdl_error_message,
		    "(line %d) Error: Multiple use of datapath %s",
		    (int) fdl_lineno, yyvsp[0].str);
	    fdl_error_id = DP_MULTIPLE_USE;
	    YYERROR;
	  }

	  symbol *sym;
	  if (glbSymboltable.getsymbol(CHK)->istype(symbol::ipblock)) {
	    sym = new symbol(new hrefsym(CHK), symbol::dpc_ipblock, fdl_datapath);
	  } else {
	    sym = new symbol(new hrefsym(CHK), symbol::dpc_dp, fdl_datapath);
	  }

          fdl_pinno = 0;
	  
          glbSymboltable.append(sym);
	  glbModuleTable.defineparentof(CHK, fdl_datapath);

/*
          fdl_inc_datapath = sym->id();
*/
	  fdl_inc_datapath = CHK;
          ;
    break;}
case 167:
#line 1177 "fdl.y"
{
/*
                symbol *sym = new symbol(new refsym($1), symbol::dpc_arg, fdl_inc_datapath);
                glbSymboltable.append(sym);
 */
        symid actualpin = glbSymboltable.findactparm(fdl_pinno, fdl_inc_datapath);
	if (actualpin == NOSYMBOL) {
            sprintf(fdl_error_message, "\n(line %d) Warning: Pin number %d of dp id %d out of range", 
			(int) fdl_lineno, (int) fdl_pinno, (int) fdl_inc_datapath);
	    fdl_error_id = BAD_DP_NAME;
	    YYERROR;
	}
        symbol *sym = new symbol(new pinsym(actualpin, fdl_inc_datapath),
                                 symbol::dpc_arg, yyvsp[0].shash);
        glbSymboltable.append(sym);
        ++fdl_pinno;
        ;
    break;}
case 171:
#line 1202 "fdl.y"
{;
    break;}
case 175:
#line 1210 "fdl.y"
{
      if (glbSymboltable.getsymbol(yyvsp[-2].shash)->istype(symbol::dpinput)) {
	sprintf(fdl_error_message,
		"(line %d) Error: Cannot assign datapath input",
		(int) fdl_lineno);
	fdl_error_id = UNKNOWN_IDENTIFIER;

	long errline = fdl_lineno;
	while (errline == fdl_lineno)  { // scan to end of line 
	  fdllex();
	}
	fdl_lineno = errline;

	YYERROR;
      }
      yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::assign_op);
    ;
    break;}
case 176:
#line 1230 "fdl.y"
{;
    break;}
case 178:
#line 1234 "fdl.y"
{
                  yyval.shash = add_ternary_operation(yyvsp[-4].shash, yyvsp[-2].shash, yyvsp[0].shash, symbol::sel_op);
                ;
    break;}
case 180:
#line 1240 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::ior_op);
        ;
    break;}
case 182:
#line 1246 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::xor_op);
        ;
    break;}
case 184:
#line 1252 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::and_op);
        ;
    break;}
case 186:
#line 1258 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::eq_op);
        ;
    break;}
case 187:
#line 1261 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::ne_op);
        ;
    break;}
case 188:
#line 1264 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::smt_op);
        ;
    break;}
case 189:
#line 1267 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::grt_op);
        ;
    break;}
case 190:
#line 1270 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::smteq_op);
        ;
    break;}
case 191:
#line 1273 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::grteq_op);
        ;
    break;}
case 193:
#line 1279 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::shl_op);
        ;
    break;}
case 194:
#line 1282 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::shr_op);
        ;
    break;}
case 196:
#line 1288 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::add_op);
        ;
    break;}
case 197:
#line 1291 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::sub_op);
        ;
    break;}
case 198:
#line 1294 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::concat_op);
        ;
    break;}
case 200:
#line 1300 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::mul_op);
        ;
    break;}
case 201:
#line 1303 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::mod_op);
        ;
    break;}
case 203:
#line 1309 "fdl.y"
{
          yyval.shash = add_binary_operation(yyvsp[-2].shash, yyvsp[0].shash, symbol::cast_op);
         ;
    break;}
case 205:
#line 1315 "fdl.y"
{yyval.shash = add_unary_operation(yyvsp[0].shash, symbol::neg_op);;
    break;}
case 206:
#line 1316 "fdl.y"
{yyval.shash = add_unary_operation(yyvsp[0].shash, symbol::not_op);;
    break;}
case 208:
#line 1320 "fdl.y"
{ fdl_base = yyvsp[0].shash; ;
    break;}
case 209:
#line 1320 "fdl.y"
{
              int ib = (fdl_index1 > fdl_index2) ? fdl_index2 : fdl_index1;
              int ie = (fdl_index1 > fdl_index2) ? fdl_index1 : fdl_index2;
              symbol *sym = new symbol(new indexsym(ib, ie-ib+1, fdl_base), symbol::index, fdl_base);
              glbSymboltable.append(sym);
	      yyval.shash = sym->id(); ;
    break;}
case 210:
#line 1326 "fdl.y"
{ fdl_base = yyvsp[0].shash; ;
    break;}
case 211:
#line 1326 "fdl.y"
{
              symbol *sym = new symbol(new lusym(yyvsp[-1].shash, fdl_base), symbol::lu_op, fdl_base); 
              glbSymboltable.append(sym);
	      yyval.shash = sym->id();
           ;
    break;}
case 212:
#line 1333 "fdl.y"
{
          fdl_index1 = atoi(yyvsp[0].posint);
          fdl_index2 = fdl_index1;
        ;
    break;}
case 213:
#line 1337 "fdl.y"
{
          fdl_index2 = atoi(yyvsp[0].posint); 
        ;
    break;}
case 214:
#line 1342 "fdl.y"
{
         symid rval = glbSymboltable.findsigdef(yyvsp[0].str, fdl_sfg, fdl_datapath);
         if (rval == NOSYMBOL) {
             sprintf(fdl_error_message,
		     "(line %d) Error: Unknown identifier %s",
		     (int) fdl_lineno, yyvsp[0].str);
             fdl_error_id = UNKNOWN_IDENTIFIER;

	     long errline = fdl_lineno;
	     while (errline == fdl_lineno)  { // scan to end of line 
	       fdllex();
	     }
	     fdl_lineno = errline;

	     YYERROR;
	 } else {
	   if (fdl_expect_only_registers &
	       ! (glbSymboltable.getsymbol(rval)->istype(symbol::com_reg) ||
		  glbSymboltable.getsymbol(rval)->istype(symbol::local_reg))) {
	     sprintf(fdl_error_message, 
		     "\n(line %d) State Transition Condition variable %s should be a register", 
		     (int) fdl_lineno, yyvsp[0].str);
	     fdl_error_id = BAD_DP_NAME;
	   }
	   yyval.shash = rval;
	 }
        ;
    break;}
case 215:
#line 1369 "fdl.y"
{
      	  symbol *s = new symbol(new namesym(yyvsp[0].posint), symbol::const_op, fdl_sfg);
      	  glbSymboltable.append(s);
	  /* printf("*%s*\n", $1); */
          yyval.shash = s->id();
         ;
    break;}
case 216:
#line 1375 "fdl.y"
{
	    yyval.shash = yyvsp[-1].shash;
         ;
    break;}
case 217:
#line 1378 "fdl.y"
{
/*
	   symid CHK = glbSymboltable.findcvar($3);
 	   if (CHK == NOSYMBOL) {
             symbol *s = new symbol(new namesym($3), symbol::cvar, fdl_sfg);
             glbSymbolTable.append(s);
	     CHK = s->id();
           }
	  $$ = CHK;
*/
        ;
    break;}
case 218:
#line 1391 "fdl.y"
{
 	       char buf[255]; char *buf2 = buf;
               strcpy(buf2, yyvsp[-1].str);
	       buf2++; buf2[strlen(buf2)-1] = 0; // drop quotes
	       if ((strlen(buf2) + strlen(fdl_current_string)) < MAX_FDL_STRING) 
		 strcat(fdl_current_string, buf2);
	       else {
		 sprintf(fdl_error_message,
			 "(line %d) Error: string to long",
			 (int) fdl_lineno);
		 fdl_error_id = STRING_TO_LONG;
		 YYERROR;
	       }
             ;
    break;}
case 219:
#line 1405 "fdl.y"
{
 	       char buf[255]; char *buf2 = buf;
               strcpy(buf2, yyvsp[0].str);
	       buf2++; buf2[strlen(buf2)-1] = 0; // drop quotes
	       if (strlen(buf2) < MAX_FDL_STRING) 
		 strcpy(fdl_current_string, buf2);
	       else {
		 sprintf(fdl_error_message,
			 "(line %d) Error: string to long",
			 (int) fdl_lineno);
		 fdl_error_id = STRING_TO_LONG;
		 YYERROR;
	       }
             ;
    break;}
case 222:
#line 1427 "fdl.y"
{fdl_posint = atoi(yyvsp[0].posint);;
    break;}
case 223:
#line 1427 "fdl.y"
{
             symbol *s = new symbol(
                          new sigtypesym((yyvsp[-4].cmd == TC) ? 
					   sigtypesym::tc : 
					   sigtypesym::ns, fdl_posint), 
		          symbol::sigtype, 
                          fdl_topsymbol);
             glbSymboltable.append(s);
             yyval.shash = s->id();
          ;
    break;}
}

#line 705 "/usr/share/bison/bison.simple"


  yyvsp -= yylen;
  yyssp -= yylen;
#if YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *yyssp1 = yyss - 1;
      YYFPRINTF (stderr, "state stack now");
      while (yyssp1 != yyssp)
	YYFPRINTF (stderr, " %d", *++yyssp1);
      YYFPRINTF (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;
#if YYLSP_NEEDED
  *++yylsp = yyloc;
#endif

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  char *yymsg;
	  int yyx, yycount;

	  yycount = 0;
	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  for (yyx = yyn < 0 ? -yyn : 0;
	       yyx < (int) (sizeof (yytname) / sizeof (char *)); yyx++)
	    if (yycheck[yyx + yyn] == yyx)
	      yysize += yystrlen (yytname[yyx]) + 15, yycount++;
	  yysize += yystrlen ("parse error, unexpected ") + 1;
	  yysize += yystrlen (yytname[YYTRANSLATE (yychar)]);
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "parse error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[YYTRANSLATE (yychar)]);

	      if (yycount < 5)
		{
		  yycount = 0;
		  for (yyx = yyn < 0 ? -yyn : 0;
		       yyx < (int) (sizeof (yytname) / sizeof (char *));
		       yyx++)
		    if (yycheck[yyx + yyn] == yyx)
		      {
			const char *yyq = ! yycount ? ", expecting " : " or ";
			yyp = yystpcpy (yyp, yyq);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yycount++;
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exhausted");
	}
      else
#endif /* defined (YYERROR_VERBOSE) */
	yyerror ("parse error");
    }
  goto yyerrlab1;


/*--------------------------------------------------.
| yyerrlab1 -- error raised explicitly by an action |
`--------------------------------------------------*/
yyerrlab1:
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;
      YYDPRINTF ((stderr, "Discarding token %d (%s).\n",
		  yychar, yytname[yychar1]));
      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;


/*-------------------------------------------------------------------.
| yyerrdefault -- current state does not do anything special for the |
| error token.                                                       |
`-------------------------------------------------------------------*/
yyerrdefault:
#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */

  /* If its default is to accept any token, ok.  Otherwise pop it.  */
  yyn = yydefact[yystate];
  if (yyn)
    goto yydefault;
#endif


/*---------------------------------------------------------------.
| yyerrpop -- pop the current state because it cannot handle the |
| error token                                                    |
`---------------------------------------------------------------*/
yyerrpop:
  if (yyssp == yyss)
    YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#if YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *yyssp1 = yyss - 1;
      YYFPRINTF (stderr, "Error: state stack now");
      while (yyssp1 != yyssp)
	YYFPRINTF (stderr, " %d", *++yyssp1);
      YYFPRINTF (stderr, "\n");
    }
#endif

/*--------------.
| yyerrhandle.  |
`--------------*/
yyerrhandle:
  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

  YYDPRINTF ((stderr, "Shifting error token, "));

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

/*---------------------------------------------.
| yyoverflowab -- parser overflow comes here.  |
`---------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}
#line 1443 "fdl.y"


/*--------------------------*/

int call_parser(char *filename) {
  int retval;

  fdl_warningcount = 0;
  fdl_lineno       = 1;
  fdl_error_id     = UNKNOWN;
  fdl_expect_only_registers = false;

  if (fdl_openstream(filename) != 0) {
    fdl_error_id = BAD_FILE_NAME;
    sprintf(fdl_error_message,"Could not open file %s\n", filename);
    return fdl_error_id;
  }

  retval = fdlparse();
  destroy_fdl_lexer();

  if (retval) {

    int i;
    int n = (fdl_lineno > 3) ? fdl_lineno-3 : fdl_lineno;
    cerr << "\n*** " << fdl_error_message << "\n";
    for (i = n; i<=fdl_lineno; i++) {
      if (i==fdl_lineno) {
	cerr << "(" << i << ") >>>";
      } else {
	cerr << "(" << i << ")    ";
      }
      cerr << glbProgramtext[i] << "\n";
    }
    cerr << "\n";
  }

  return retval;
}

void record_line(long lineno, string linetxt) {
  glbProgramtext[lineno] = linetxt;
  //  cerr << lineno << ": " << linetxt << "\n";
}

void issue_pending_warning() {
  if (fdl_pending_warning) {
    fdl_warningcount++;
    cerr << fdl_error_message << "\n\n";
    cerr << "(" << fdl_lineno << ") >>> " << glbProgramtext[fdl_lineno] << "\n\n";
    fdl_pending_warning = 0;
  }
  
}

 void lex_fdl_warning() {
   if (fdl_pending_warning) {
     issue_pending_warning();
   }
   fdl_pending_warning++;
 }

