//--------------------------------------------------------------
// (c) 2001-2003 University of California at Los Angeles
// Patrick Schaumont
//
// $Id: ipconfig.cxx,v 1.1 2003/11/28 23:13:30 schaum Exp $
//--------------------------------------------------------------
#include "ipblock.h"
#include "rterror.h"
#include "systemc_itf.h"

// ------- ALLOCATOR --------
//
// decode typename and dynamically allocate 
// aipblock-inherited specific block

#define CREATE(S) if (!strcmp(tname, #S)) return new S(instname) 

aipblock * ipblockcreate(char *instname, char *tname) {
  CREATE(ram);
  CREATE(ctr32);
  CREATE(gctr32);
  CREATE(systemcsource);
  CREATE(systemcsink);
  cerr << "Error: Unknown ipblock type: " << tname << "\n";
  return new aipblock(instname);
}




