//--------------------------------------------------------------
// Copyright (C) 2003 Patrick Schaumont (schaum@ee.ucla.edu)                   
// University of California at Los Angeles
//                                                                             
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation; either version 2 of
// the License, or (at your option) any later version.
//                                                                             
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//                                                                             
// You should have received a copy of the GNU Lesser General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA
//
// $Id: armzilla.h,v 1.2 2004/09/16 23:41:56 schaum Exp $
//--------------------------------------------------------------

#ifndef ARMZILLA_H
#define ARMZILLA_H

#include "armsim.hpp"   // SimIT-ARM-1.1
// #include "simulator.hpp" // SimIT-ARM-2.0
#include "misc.h"
#include <cstdio>
#include <cstring>
#include <csignal>
#include "sysconparse.h"

//-------- gezel includes ----------
#include "rtsim.h"
#include "gval.h"

#define ARMSIMTYP simulator::arm_simulator
// #define ARMSIMTYP arm_simulator

extern map <int, ARMSIMTYP *> glbSims;

#endif
