 
//--------------------------------------------------------------
// Copyright (C) 2003 Patrick Schaumont (schaum@ee.ucla.edu)                   
// University of California at Los Angeles
//                                                                             
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation; either version 2 of
// the License, or (at your option) any later version.
//                                                                             
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//                                                                             
// You should have received a copy of the GNU Lesser General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA
//
// $Id: sysconparse.h,v 1.2 2004/09/16 23:42:00 schaum Exp $
//----------------------------------------------------------------

#ifndef SYSCONPARSE_H
#define SYSCONPARSE_H

#include<map>

using namespace std;

extern int numprocs;
extern map <int, char *>  processor_name;
extern map <int, char *>  exec_name;
extern map <int, char *>  args_name;
extern map <int, char *>  gezel_name;
extern map <int, char **> processor_argv;
extern map <int, int>     processor_argc;

#define MAXARGS 16

int  openstream(char *f);
int  connectlex();
void connecterror(char *err);
void destroy_lexer();
int call_sysconnect_parser(char *filename);


#endif
